%define oname Markdown

Summary: Python implementation of the markdown text-to-HTML conversion tool
Name: python-markdown
Version: 2.6.6
Release: %mkrel 1
Source:  https://pypi.python.org/packages/source/M/Markdown/%oname-%version.tar.gz
License: BSD
Group: Development/Python
BuildRequires: pkgconfig(python)
BuildRequires: python-nose
BuildRequires: python-yaml
BuildRequires: pkgconfig(python3) 
BuildRequires: python3-nose
BuildRequires: python3-yaml
Url: http://www.freewisdom.org/projects/python-markdown/ 
BuildArch: noarch

%description
This is a Python implementation of John Gruber's Markdown. It is almost 
completely compliant with the reference implementation, though there 
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown 
allows you to write using an easy-to-read, easy-to-write plain text format, 
then convert it to structurally valid XHTML (or HTML).

%package -n python3-markdown
Summary: Python 3 implementation of the markdown text-to-HTML conversion tool
Group: Development/Python

%description -n python3-markdown
This is a Python implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation, though there
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown
allows you to write using an easy-to-read, easy-to-write plain text format,
then convert it to structurally valid XHTML (or HTML).

%prep
%setup -q -n %oname-%version 
# remove shebangs
find markdown -type f -name '*.py' \
  -exec sed -i -e '/^#!/{1D}' {} \;

# fix line-ending
sed -i 's/\r//' docs/release-2.2.0.txt

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
%py2_install

# rename binary
mv %{buildroot}%{_bindir}/markdown_py{,-%{python_version}}

pushd %{py3dir}
%py3_install
popd

# rename binary
mv %{buildroot}%{_bindir}/markdown_py{,-%{python3_version}}

# 2.X binary is called by default for now
ln -s markdown_py-%{python_version} %{buildroot}%{_bindir}/markdown_py


%check
%{__python2} run-tests.py

pushd %{py3dir}
%{__python3} run-tests.py
popd

%files 
%doc build/docs/*
%{python2_sitelib}/*
%{_bindir}/markdown_py
%{_bindir}/markdown_py-%{python_version}

%files -n python3-markdown
%doc build/docs/*
%{python3_sitelib}/*
%{_bindir}/markdown_py-%{python3_version}



%changelog
* Sun Mar 27 2016 philippem <philippem> 2.6.6-1.mga6
+ Revision: 995774
- update to 2.6.6

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Nov 30 2015 philippem <philippem> 2.6.5-1.mga6
+ Revision: 907397
- update to 2.6.5

* Tue Nov 24 2015 philippem <philippem> 2.6.4-1.mga6
+ Revision: 905843
- update to 2.6.4

* Sat Oct 31 2015 philippem <philippem> 2.6.3-1.mga6
+ Revision: 896965
- update to 2.6.3

* Sat Oct 10 2015 tv <tv> 2.4.1-5.mga6
+ Revision: 888810
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.4.1-4.mga5
+ Revision: 742018
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.1-3.mga5
+ Revision: 729004
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.1-2.mga5
+ Revision: 688139
- Mageia 5 Mass Rebuild

* Wed Jun 11 2014 philippem <philippem> 2.4.1-1.mga5
+ Revision: 635693
- update to 2.4.1

* Sat May 31 2014 pterjan <pterjan> 2.4-2.mga5
+ Revision: 628777
- Rebuild for new Python

* Fri Mar 07 2014 philippem <philippem> 2.4-1.mga5
+ Revision: 600894
- Update to 2.4

* Tue Oct 22 2013 umeabot <umeabot> 2.3.1-3.mga4
+ Revision: 543696
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.3.1-2.mga4
+ Revision: 498891
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 2.3.1-1.mga4
+ Revision: 450097
- Update to 2.3.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 379109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 2.2.1-1.mga3
+ Revision: 318306
- Update to 2.2.1
- Update to 2.2.1

* Sat Sep 08 2012 philippem <philippem> 2.2.0-1.mga3
+ Revision: 290070
- New upstream release 2.2.0

* Thu Jan 26 2012 philippem <philippem> 2.1.1-1.mga2
+ Revision: 201810
- Update to 2.1.1.

* Wed Dec 07 2011 philippem <philippem> 2.1.0-1.mga2
+ Revision: 178419
- Update to 2.1.0

* Mon Feb 21 2011 ahmad <ahmad> 2.0.3-3.mga1
+ Revision: 55595
- rebuild to make all pythonegg requires/provides lowercase

* Thu Jan 27 2011 ahmad <ahmad> 2.0.3-2.mga1
+ Revision: 42230
- imported package python-markdown

